> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List permissions for a given view-only user



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/ReportRowRestriction
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/ReportRowRestriction:
    get:
      tags:
        - ReportRowRestriction
      summary: List permissions for a given view-only user
      operationId: Get
      parameters:
        - explode: true
          in: query
          name: userEmail
          required: false
          schema:
            type: string
          style: form
        - explode: true
          in: query
          name: reportName
          required: false
          schema:
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiReportRowRestrictionGetResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiReportRowRestrictionGetResponse:
      example:
        user_permissions:
          - column_name: column_name
            column_filter: column_filter
          - column_name: column_name
            column_filter: column_filter
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        user_permissions:
          items:
            $ref: '#/components/schemas/Permissions'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportRestriction.ApiReportRowRestrictionGetResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    Permissions:
      example:
        column_name: column_name
        column_filter: column_filter
      properties:
        column_name:
          nullable: true
          type: string
        column_filter:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportRestriction.ApiReportRowRestrictionGetResponse+Permissions,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````